Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Ignore_Original_Key_Adapter Class Reference

A key adapter (encode/decode) class. More...

`#include <Key_Adapters.h>`

List of all members.

## Public Methods
int | encode (const PortableServer::ObjectId &original_key, const ACE_Active_Map_Manager_Key &active_key, PortableServer::ObjectId &modified_key)
int | decode (const PortableServer::ObjectId &modified_key, ACE_Active_Map_Manager_Key &active_key)
int | decode (const PortableServer::ObjectId &modified_key, PortableServer::ObjectId &original_key)

## Detailed Description

A key adapter (encode/decode) class.

Define the encoding and decoding methods for converting between Object Ids and active keys. This class ignores the <original_key> passed to it.

## Member Function Documentation

int TAO_Ignore_Original_Key_Adapter::decode | ( | const PortableServer::ObjectId & | modified_key,
|  | PortableServer::ObjectId & | original_key
| ) |

int TAO_Ignore_Original_Key_Adapter::decode | ( | const PortableServer::ObjectId & | modified_key,
|  | ACE_Active_Map_Manager_Key & | active_key
| ) |

int TAO_Ignore_Original_Key_Adapter::encode | ( | const PortableServer::ObjectId & | original_key,
|  | const ACE_Active_Map_Manager_Key & | active_key,
|  | PortableServer::ObjectId & | modified_key
| ) |

The documentation for this class was generated from the following files:

- Key_Adapters.h
- Key_Adapters.cpp